%define	name	cdlabelgen
%define	version	1.5.0
%define	release	4
%define	serial	1

Summary:	cdlabelgen - generates frontcards and traycards for CDs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Text
URL:		http://www.red-bean.com/~bwf/software/cdlabelgen
Vendor:		B. W. Fitzpatrick <fitz@red-bean.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	perl >= 5.003
BuildArch:	noarch

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
    cdlabelgen was designed to simplify the process of generating
labels for CD's. It originated as a program to allow auto generation
of frontcards and traycards for CD's burned via an automated mechanism
(specifically for archiving data), but has now become popular for
labelling CD compilations of mp3's, and copies of CDs.
    Note that cdlabelgen does not actually print anything, it just spits
out postscript, which you can then do with as you please.

%prep
%setup -q
# Last minute A4 bugfix! If you are printing on A4 paper,
# and the bottom of the traycard is not printing.
perl -pi -e 's/^(\s+.5 in) .5( in translate)/$1 1.5$2/g' postscript/template.ps

%build
pod2man --section=1 cdlabelgen | gzip -9c > cdlabelgen.1.gz

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/share

make BASE_DIR=$RPM_BUILD_ROOT/usr \
	INSTALL="install -m 0755" \
	INSTALL_FILE="install -m 0644" install

install -m 644 cdlabelgen.1.gz $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README
/usr/bin/cdlabelgen
/usr/man/man1/cdlabelgen.1.gz
/usr/share/cdlabelgen

%changelog
* Tue Jul 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-1.5.0-4]
- Last minute A4 bugfix! If you are printing on A4 paper,
  and the bottom of the traycard is not printing.

* Tue Jul 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-1.5.0-3]
- Hacked in some primitive word wrapping since a lot of people have
  been clamoring for it.
- Added new debian logo eps files (color and b/w)
- Numerous makefile fixes.
- Added in a routine to check that no files included are zero length.
- Hacked in the -b flag to suppress printing of the plaque on the traycard.
- Now goes from 1 to 4 columns (instead of 2-4)
- Documented new features and fixed old doco buglets.
- User can now specify standard .eps files without having to give the
  full path if the eps file resides in one of the standard cdlabelgen
  search paths.
- Now provides the extra 'tongue' needed for clear trays.
- Can now explicitly specify which templatefile to use (useful for
  customizations or just for hacking together different templates.
- Added in patch to print arbitrary ISO-Latin1 characters. 
- New eps Graphics

* Tue Mar 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-1.1.3-3]
- Making manpage with perl's pod2man.
- Updated to version 1.1.3.
- Added support for a different eps image on the back (including its
  own scaleratio).
- New eps graphics included
- Added -o flag for printing to a file instead of just to STDOUT.
- Changed date format to International date format according
  to ISO 8601:1988
- Autoflowing and multiple (2-4) columnation of items on tray_card now
  works great. Dynamic truncation of super long lists of
  items (above approx 192).
- Now scrub all data for errant parenthesis and replace them with their
  corresponding ascii codes.
- Fixed shebang line to call /usr/bin/perl instead of /usr/local/bin/perl.
- Added flags for scaling the epsfiles
- Added date to cover
- Improved error handling
- Endcap only shows Category and Date if Category + Subcategory + Date
  is longer than the endcap.
- Autoscaling implemented of plaque, category, and subcategory on both
  cover and tray.

* Tue Mar 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-0.70-1]
- Initial RPM Build.

